package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPersonDormitoryTypeTreeInfo extends com.kingdee.eas.framework.TreeBaseInfo implements Serializable 
{
    public AbstractPersonDormitoryTypeTreeInfo()
    {
        this("id");
    }
    protected AbstractPersonDormitoryTypeTreeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 人员宿舍分类组别 's 父节点 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("7D36E5E7");
    }
}